`POST /api/admin/marketplace/payouts/batches` — admin-only. Create a payout batch from a list of seller/account/amount entries.
POST
/api/admin/marketplace/payouts/batches
const url = 'https://example.com/api/admin/marketplace/payouts/batches';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"currency":"example","entries":[{"amount_minor":1,"payout_account_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","seller_profile_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}],"submission_method":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/admin/marketplace/payouts/batches \ --header 'Content-Type: application/json' \ --data '{ "currency": "example", "entries": [ { "amount_minor": 1, "payout_account_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "seller_profile_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ], "submission_method": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
currency
string | null
entries
required
Array<object>
object
amount_minor
required
integer format: int32
payout_account_id
required
string format: uuid
seller_profile_id
required
string format: uuid
submission_method
string | null
Examplegenerated
{ "currency": "example", "entries": [ { "amount_minor": 1, "payout_account_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "seller_profile_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ], "submission_method": "example"}Responses
Section titled “Responses”Media typeapplication/json
A payout batch — groups one or more payout items for submission to a
bank or payment provider. Progresses through a multi-step lifecycle:
draft -> pending_approval -> approved -> submitting -> submitted
-> completed (or failed / cancelled at any point after approval).
object
approved_at
string | null format: date-time
approved_by
string | null format: uuid
completed_at
string | null format: date-time
created_at
required
string format: date-time
created_by
required
string format: uuid
currency
required
string
failed_reason
string | null
fints_session_id
string | null
id
required
string format: uuid
sepa_xml_ref
string | null
status
required
string
submission_method
required
string
submitted_at
string | null format: date-time
total_amount_minor
required
integer format: int32
total_items
required
integer format: int32
updated_at
required
string format: date-time
Examplegenerated
{ "approved_at": "2026-04-15T12:00:00Z", "approved_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "completed_at": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z", "created_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "currency": "example", "failed_reason": "example", "fints_session_id": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sepa_xml_ref": "example", "status": "example", "submission_method": "example", "submitted_at": "2026-04-15T12:00:00Z", "total_amount_minor": 1, "total_items": 1, "updated_at": "2026-04-15T12:00:00Z"}